diff -r 1646adc7793b src/odepkg_octsolver_mebdfdae.cc
--- a/src/odepkg_octsolver_mebdfdae.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_mebdfdae.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -100,7 +100,7 @@
   varin(0) = T; varin(1) = A;
   for (octave_idx_type vcnt = 0; vcnt < vmebdfdaeextarg.length (); vcnt++)
     varin(vcnt+2) = vmebdfdaeextarg(vcnt);
-  octave_value_list vout = feval (vmebdfdaeodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vmebdfdaeodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -317,8 +317,8 @@
   if (nargin >= 4) {
 
     // Fourth input argument != OdePkg option, need a default structure
-    if (!args(3).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(3).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();       // Create a default structure
       for (octave_idx_type vcnt = 3; vcnt < nargin; vcnt++)
         vmebdfdaeextarg(vcnt-3) = args(vcnt); // Save arguments in vmebdfdaeextarg
@@ -328,7 +328,7 @@
     else if (nargin > 4) {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "odebda";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();       // Create structure from args(4)
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
@@ -339,7 +339,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "odebda"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -347,7 +347,7 @@
   } // if (nargin >= 4)
 
   else { // if nargin == 3, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -359,7 +359,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"RelTol\" not set, new value %3.1e is used", 
@@ -376,7 +376,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"AbsTol\" not set, new value %3.1e is used", 
@@ -401,7 +401,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"NormControl\" will be ignored by this solver");
@@ -409,14 +409,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   octave_value vplot = vodeopt.contents ("OutputFcn");
-  if (vplot.is_empty () && nargout == 0) vplot = "odeplot";
+  if (vplot.isempty () && nargout == 0) vplot = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -437,12 +437,12 @@
   // option can be set by the user to another value than default value
   octave_value vinitstep = vodeopt.contents ("InitialStep");
   if (args(1).length () > 2) {
-    if (!vinitstep.is_empty ())
+    if (!vinitstep.isempty ())
       warning_with_id ("OdePkg:InvalidOption",
        "Option \"InitialStep\" will be ignored if fixed time stamps are given");
     vinitstep = args(1).vector_value ()(1);
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -452,7 +452,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -468,7 +468,7 @@
   // The options 'Jacobian', 'JPattern' and 'Vectorized'
   octave_value vjac = vodeopt.contents ("Jacobian");
   octave_idx_type vmebdfdaejac = 22; // We need to set this if no Jac available
-  if (!vjac.is_empty ()) {
+  if (!vjac.isempty ()) {
     vmebdfdaejacfun = vjac; vmebdfdaejac = 21;
   }
 
@@ -476,7 +476,7 @@
   // options can be set by the user to another value than default
   vmebdfdaemass = vodeopt.contents ("Mass");
   octave_idx_type vmebdfdaemas = 0;
-  if (!vmebdfdaemass.is_empty ()) {
+  if (!vmebdfdaemass.isempty ()) {
     vmebdfdaemas = 1;
     if (vmebdfdaemass.is_function_handle () || vmebdfdaemass.is_inline_function ())
       warning_with_id ("OdePkg:InvalidOption",
@@ -486,7 +486,7 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   vmebdfdaemassstate = vodeopt.contents ("MStateDependence");
-  if (!vmebdfdaemassstate.is_empty ())
+  if (!vmebdfdaemassstate.isempty ())
     if (vmebdfdaemassstate.string_value ().compare ("weak") != 0) // 'weak' is default
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -494,14 +494,14 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MassSingular will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -509,14 +509,14 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // Implementation of the option MaxOrder has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (vmaxder.is_empty ()) {
+  if (vmaxder.isempty ()) {
     vmaxder = 3;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxOrder\" not set, new value %1d is used", 
@@ -540,12 +540,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -563,7 +563,7 @@
   double HO = vinitstep.double_value ();
   double *Y0 = vY0.fortran_vec ();
   double TOUT = T0 + vinitstep.double_value ();
-  double TEND = vTIME(vTIME.length ()-1);
+  double TEND = vTIME(vTIME.numel ()-1);
 
   octave_idx_type MF = vmebdfdaejac;
   octave_idx_type IDID = 1;
@@ -578,7 +578,7 @@
     IWORK[vcnt] = 0;
   octave_idx_type MBND[4] = {N, N, N, N};
   octave_idx_type MASBND[4] = {0, N, 0, N};
-  if (!vmebdfdaemass.is_empty ()) MASBND[0] = 1;
+  if (!vmebdfdaemass.isempty ()) MASBND[0] = 1;
   octave_idx_type MAXDER = vmaxder.int_value ();
   octave_idx_type ITOL = vitol;
   double *RTOL = vRTOL.fortran_vec ();
@@ -596,9 +596,9 @@
   // etc. and initialize the plot, events and the solstore functions
   octave_value vtim (T0); octave_value vsol (vY0);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vplot.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vplot.isempty ()) odepkg_auxiliary_evalplotfun 
     (vplot, voutsel, args(1), args(2), vmebdfdaeextarg, 0);
-  if (!vevents.is_empty ()) odepkg_auxiliary_evaleventfun 
+  if (!vevents.isempty ()) odepkg_auxiliary_evaleventfun 
     (vevents, vtim, args(2), vmebdfdaeextarg, 0);
 
   // We are calling the core solver here to intialize all variables
@@ -618,7 +618,7 @@
   // core solver function and before calling the plot function
   ColumnVector vcres(N);
 
-  if (vTIME.length () == 2) {
+  if (vTIME.numel () == 2) {
     // Before we are entering the solver loop replace the first time
     // stamp value with FirstStep = (InitTime - InitStep)
     TOUT = TOUT - vinitstep.double_value ();
@@ -649,18 +649,18 @@
       for (octave_idx_type vcnt = 0; vcnt < N; vcnt++)
         vcres(vcnt) = Y0[vcnt];
       vsol = vcres; vtim = TOUT;
-      if (!vevents.is_empty ()) {
+      if (!vevents.isempty ()) {
         veveres = odepkg_auxiliary_evaleventfun (vevents, vtim, vsol, vmebdfdaeextarg, 1);
-        if (!veveres(0).cell_value ()(0).is_empty ())
+        if (!veveres(0).cell_value ()(0).isempty ())
           if (veveres(0).cell_value ()(0).int_value () == 1) {
             ColumnVector vttmp = veveres(0).cell_value ()(2).column_vector_value ();
             Matrix vrtmp = veveres(0).cell_value ()(3).matrix_value ();
-            vtim = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+            vtim = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
             vsol = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
             TOUT = TEND; // let's get out here, the Events function told us to finish
           }
       }
-      if (!vplot.is_empty ()) {
+      if (!vplot.isempty ()) {
         if (odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfdaeextarg, 1)) {
           error ("Missing error message implementation");
           return (vretval);
@@ -671,7 +671,7 @@
   }
   else { // if (vTIME.length () > 2) we have all the time values needed
     volatile octave_idx_type vtimecnt = 1;
-    octave_idx_type vtimelen = vTIME.length ();
+    octave_idx_type vtimelen = vTIME.numel ();
     while (vtimecnt < vtimelen) {
       vtimecnt++; TOUT = vTIME(vtimecnt-1);
 
@@ -696,18 +696,18 @@
       for (octave_idx_type vcnt = 0; vcnt < N; vcnt++)
         vcres(vcnt) = Y0[vcnt];
       vsol = vcres; vtim = TOUT;
-      if (!vevents.is_empty ()) {
+      if (!vevents.isempty ()) {
         veveres = odepkg_auxiliary_evaleventfun (vevents, vtim, vsol, vmebdfdaeextarg, 1);
-        if (!veveres(0).cell_value ()(0).is_empty ())
+        if (!veveres(0).cell_value ()(0).isempty ())
           if (veveres(0).cell_value ()(0).int_value () == 1) {
             ColumnVector vttmp = veveres(0).cell_value ()(2).column_vector_value ();
             Matrix vrtmp = veveres(0).cell_value ()(3).matrix_value ();
-            vtim = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+            vtim = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
             vsol = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
             vtimecnt = vtimelen; // let's get out here, the Events function told us to finish
           }
       }
-      if (!vplot.is_empty ()) {
+      if (!vplot.isempty ()) {
         if (odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfdaeextarg, 1)) {
           error ("Missing error message implementation");
           return (vretval);
@@ -725,9 +725,9 @@
   // needed to call the OdePkg output function one last time again
   for (octave_idx_type vcnt = 0; vcnt < N; vcnt++) vcres(vcnt) = Y0[vcnt];
   vsol = vcres; vtim = TOUT;
-  if (!vevents.is_empty ())
+  if (!vevents.isempty ())
     odepkg_auxiliary_evaleventfun (vevents, vtim, vsol, vmebdfdaeextarg, 2);
-  if (!vplot.is_empty ())
+  if (!vplot.isempty ())
     odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfdaeextarg, 2);
 
   // Return the results that have been stored in the
@@ -761,7 +761,7 @@
     vretmap.assign ("solver", "odebda");
     if (vstats.string_value () == "on") 
       vretmap.assign ("stats", vstatinfo);
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretmap.assign ("ie", veveres(0).cell_value ()(1));
       vretmap.assign ("xe", veveres(0).cell_value ()(2));
       vretmap.assign ("ye", veveres(0).cell_value ()(3));
@@ -779,7 +779,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretval(2) = veveres(0).cell_value ()(2);
       vretval(3) = veveres(0).cell_value ()(3);
       vretval(4) = veveres(0).cell_value ()(1);
diff -r 1646adc7793b src/odepkg_octsolver_mebdfi.cc
--- a/src/odepkg_octsolver_mebdfi.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_mebdfi.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -162,7 +162,7 @@
   varin(0) = T; varin(1) = A; varin(2) = APRIME;
   for (octave_idx_type vcnt = 0; vcnt < vmebdfiextarg.length (); vcnt++)
     varin(vcnt+3) = vmebdfiextarg(vcnt);
-  octave_value_list vout = feval (vmebdfiodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vmebdfiodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -397,7 +397,7 @@
 
   // Check if the third and the fourth input argument (check for
   // vector already was successful before) have the same length
-  if (args(2).length () != args(3).length ()) {
+  if (args(2).numel () != args(3).numel ()) {
     error_with_id ("OdePkg:InvalidArgument",
       "Third and fourth input argument must have the same length");
     return (vretval);
@@ -409,8 +409,8 @@
   if (nargin >= 5) {
 
     // Fifth input argument != OdePkg option, need a default structure
-    if (!args(4).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(4).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();        // Create a default structure
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
         vmebdfiextarg(vcnt-4) = args(vcnt); // Save arguments in vmebdfiextarg
@@ -420,7 +420,7 @@
     else if (nargin > 5) { 
       octave_value_list varin;
       varin(0) = args(4); varin(1) = "odebdi";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();        // Create structure of args(4)
       for (octave_idx_type vcnt = 5; vcnt < nargin; vcnt++)
@@ -431,7 +431,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(4); varin(1) = "odebdi"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -439,7 +439,7 @@
   } // if (nargin >= 5)
 
   else { // if nargin == 4, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -451,14 +451,14 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"RelTol\" not set, new value %3.1e is used", 
       vreltol.double_value ());
   } // vreltol.print (octave_stdout, true); return (vretval);
   if (!vreltol.is_scalar_type ()) {
-    if (vreltol.length () != args(2).length ()) {
+    if (vreltol.numel () != args(2).numel ()) {
       error_with_id ("OdePkg:InvalidOption", 
         "Length of option \"RelTol\" must be the same as the number of equations");
       return (vretval);
@@ -468,14 +468,14 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"AbsTol\" not set, new value %3.1e is used", 
         vabstol.double_value ());
   } // vabstol.print (octave_stdout, true); return (vretval);
   if (!vabstol.is_scalar_type ()) {
-    if (vabstol.length () != args(2).length ()) {
+    if (vabstol.numel () != args(2).numel ()) {
       error_with_id ("OdePkg:InvalidOption", 
         "Length of option \"AbsTol\" must be the same as the number of equations");
       return (vretval);
@@ -493,7 +493,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"NormControl\" will be ignored by this solver");
@@ -501,14 +501,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   octave_value vplot = vodeopt.contents ("OutputFcn");
-  if (vplot.is_empty () && nargout == 0) vplot = "odeplot";
+  if (vplot.isempty () && nargout == 0) vplot = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -528,13 +528,13 @@
   // Implementation of the option InitialStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vinitstep = vodeopt.contents ("InitialStep");
-  if (args(1).length () > 2) {
-    if (!vinitstep.is_empty ())
+  if (args(1).numel () > 2) {
+    if (!vinitstep.isempty ())
       warning_with_id ("OdePkg:InvalidOption",
        "Option \"InitialStep\" will be ignored if fixed time stamps are given");
     vinitstep = args(1).vector_value ()(1);
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -544,7 +544,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).numel () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -560,21 +560,21 @@
   // The options 'Jacobian', 'JPattern' and 'Vectorized'
   octave_value vjac = vodeopt.contents ("Jacobian");
   octave_idx_type vmebdfijac = 22; // We need to set this if no Jac available
-  if (!vjac.is_empty ()) {
+  if (!vjac.isempty ()) {
     vmebdfijacfun = vjac; vmebdfijac = 21;
   }
 
   // The option Mass will be ignored by this solver. We can't handle
   // Mass-matrix options with IDE problems
   octave_value vmass = vodeopt.contents ("Mass");
-  if (!vmass.is_empty ())
+  if (!vmass.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"Mass\" will be ignored by this solver");
 
   // The option MStateDependence will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmst = vodeopt.contents ("MStateDependence");
-  if (!vmst.is_empty ())
+  if (!vmst.isempty ())
     if (vmst.string_value ().compare ("weak") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -582,14 +582,14 @@
   // The option MvPattern will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MvPattern will be ignored by this solver. We
   // can't handle Mass-matrix options with IDE problems
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -597,14 +597,14 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // Implementation of the option MaxOrder has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (vmaxder.is_empty ()) {
+  if (vmaxder.isempty ()) {
     vmaxder = 3;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxOrder\" not set, new value %1d is used", 
@@ -628,12 +628,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -647,13 +647,13 @@
   NDArray vY0     = args(2).array_value ();
   NDArray vYPRIME = args(3).array_value ();
 
-  octave_idx_type N = args(2).length ();
+  octave_idx_type N = args(2).numel ();
   double T0 = vTIME(0);
   double HO = vinitstep.double_value ();
   double *Y0 = vY0.fortran_vec ();
   double *YPRIME = vYPRIME.fortran_vec ();
   double TOUT = T0 + vinitstep.double_value ();
-  double TEND = vTIME(vTIME.length ()-1);
+  double TEND = vTIME(vTIME.numel ()-1);
 
   octave_idx_type MF = vmebdfijac;
   octave_idx_type IDID = 1;
@@ -682,14 +682,14 @@
   // etc. and initialize the plot, events and the solstore functions
   octave_value vtim (T0); octave_value vsol (vY0); octave_value vyds (vYPRIME);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vplot.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vplot.isempty ()) odepkg_auxiliary_evalplotfun 
     (vplot, voutsel, args(1), args(2), vmebdfiextarg, 0);
 
   octave_value_list veveideargs;
   veveideargs(0) = vsol; 
   veveideargs(1) = vyds;
   Cell veveidearg (veveideargs);
-  if (!vevents.is_empty ()) odepkg_auxiliary_evaleventfun 
+  if (!vevents.isempty ()) odepkg_auxiliary_evaleventfun 
     (vevents, vtim, veveidearg, vmebdfiextarg, 0);
 
   // We are calling the core solver here to intialize all variables
@@ -710,7 +710,7 @@
   ColumnVector vcres(N);
   ColumnVector vydrs(N);
 
-  if (vTIME.length () == 2) {
+  if (vTIME.numel () == 2) {
     // Before we are entering the solver loop replace the first time
     // stamp value with FirstStep = (InitTime - InitStep)
     TOUT = TOUT - vinitstep.double_value ();
@@ -742,21 +742,21 @@
         vcres(vcnt) = Y0[vcnt]; vydrs(vcnt) = YPRIME[vcnt]; 
       }
       vsol = vcres; vyds = vydrs; vtim = TOUT;
-      if (!vevents.is_empty ()) {
+      if (!vevents.isempty ()) {
         veveideargs(0) = vsol;
         veveideargs(1) = vyds;
 	veveidearg = veveideargs;
         veveres = odepkg_auxiliary_evaleventfun (vevents, vtim, veveidearg, vmebdfiextarg, 1);
-        if (!veveres(0).cell_value ()(0).is_empty ())
+        if (!veveres(0).cell_value ()(0).isempty ())
           if (veveres(0).cell_value ()(0).int_value () == 1) {
             ColumnVector vttmp = veveres(0).cell_value ()(2).column_vector_value ();
             Matrix vrtmp = veveres(0).cell_value ()(3).matrix_value ();
-            vtim = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+            vtim = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
             vsol = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
             TOUT = TEND; // let's get out here, the Events function told us to finish
           }
       }
-      if (!vplot.is_empty ()) {
+      if (!vplot.isempty ()) {
         if (odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfiextarg, 1)) {
           error ("Missing error message implementation");
           return (vretval);
@@ -765,9 +765,9 @@
       odepkg_auxiliary_solstore (vtim, vsol, 1);
     }
   }
-  else { // if (vTIME.length () > 2) we have all the time values needed
+  else { // if (vTIME.numel () > 2) we have all the time values needed
     volatile octave_idx_type vtimecnt = 1;
-    octave_idx_type vtimelen = vTIME.length () - 1;
+    octave_idx_type vtimelen = vTIME.numel () - 1;
     while (vtimecnt < vtimelen) {
       vtimecnt++; TOUT = vTIME(vtimecnt);
 
@@ -793,21 +793,21 @@
         vcres(vcnt) = Y0[vcnt]; vydrs(vcnt) = YPRIME[vcnt];
       }
       vsol = vcres; vyds = vydrs; vtim = TOUT;
-      if (!vevents.is_empty ()) {
+      if (!vevents.isempty ()) {
         veveideargs(0) = vsol;
         veveideargs(1) = vyds;
 	veveidearg = veveideargs;
         veveres = odepkg_auxiliary_evaleventfun (vevents, vtim, veveidearg, vmebdfiextarg, 1);
-        if (!veveres(0).cell_value ()(0).is_empty ())
+        if (!veveres(0).cell_value ()(0).isempty ())
           if (veveres(0).cell_value ()(0).int_value () == 1) {
             ColumnVector vttmp = veveres(0).cell_value ()(2).column_vector_value ();
             Matrix vrtmp = veveres(0).cell_value ()(3).matrix_value ();
-            vtim = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+            vtim = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
             vsol = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
             vtimecnt = vtimelen; // let's get out here, the Events function told us to finish
           }
       }
-      if (!vplot.is_empty ()) {
+      if (!vplot.isempty ()) {
         if (odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfiextarg, 1)) {
           error ("Missing error message implementation");
           return (vretval);
@@ -830,9 +830,9 @@
   veveideargs(0) = vsol;
   veveideargs(1) = vyds;
   veveidearg = veveideargs;
-  if (!vevents.is_empty ())
+  if (!vevents.isempty ())
     odepkg_auxiliary_evaleventfun (vevents, vtim, veveidearg, vmebdfiextarg, 2);
-  if (!vplot.is_empty ())
+  if (!vplot.isempty ())
     odepkg_auxiliary_evalplotfun (vplot, voutsel, vtim, vsol, vmebdfiextarg, 2);
 
   // Return the results that have been stored in the
@@ -866,7 +866,7 @@
     vretmap.assign ("solver", "odebdi");
     if (vstats.string_value () == "on") 
       vretmap.assign ("stats", vstatinfo);
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretmap.assign ("ie", veveres(0).cell_value ()(1));
       vretmap.assign ("xe", veveres(0).cell_value ()(2));
       vretmap.assign ("ye", veveres(0).cell_value ()(3));
@@ -884,7 +884,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vevents.is_empty ()) {
+    if (!vevents.isempty ()) {
       vretval(2) = veveres(0).cell_value ()(2);
       vretval(3) = veveres(0).cell_value ()(3);
       vretval(4) = veveres(0).cell_value ()(1);
